hive-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Sharath Punreddy <srpunre...@gmail.com>
Subject Re: Error communicating with metastore
Date Mon, 03 Aug 2015 15:13:23 GMT
Check out:
http://docs.hortonworks.com/HDPDocuments/HDP2/HDP-2.1.1/bk_dataintegration/content/ch_using-hive-transactions.html

You need to specify the following properties as well:

   -

   hive.txn.driver
   -

   hive.compactor.initiator.on
   -

   hive.compactor.worker.threads


On Mon, Aug 3, 2015 at 8:29 AM, Sarath Chandra <
sarathchandra.josyam@algofusiontech.com> wrote:

> Hi All,
>
> Earlier I was using hive 0.13.0 and now trying to migrate to latest
> version to utilize the transaction support introduced from hive 0.14.0.
>
> I downloaded hive 1.2.1, created a metastore in oracle database and
> provided all the required configuration parameters in conf/hive-site.xml to
> enable transactions. For the parameter "hive.txn.manager" given the value
> "org.apache.hadoop.hive.ql.lockmgr.DbTxnManager".
>
> From the hive prompt when I fire the command "show tables;" I'm getting
> the below exception -
> *FAILED: Error in determining valid transactions: Error communicating with
> the metastore*
>
> But if disable the "hive.txn.manager" parameter in hive-site.xml then the
> command works fine.
>
> Is there anything else to be configured which I'm missing?
>
> Thanks & Regards,
> Sarath.
>



-- 



*Sharath Punreddy*
*Phone:626-470-7867*

Mime
View raw message